<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN" "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" [
<!ENTITY version SYSTEM "version.xml">
]>
<refentry id="milter-manager-MilterReplyEncoder">
<refmeta>
<refentrytitle role="top_of_page" id="milter-manager-MilterReplyEncoder.top_of_page">MilterReplyEncoder</refentrytitle>
<manvolnum>3</manvolnum>
<refmiscinfo>milter managerライブラリ</refmiscinfo>
</refmeta>
<refnamediv>
<refname>MilterReplyEncoder</refname>
<refpurpose/>
</refnamediv>

<refsynopsisdiv id="milter-manager-MilterReplyEncoder.synopsis" role="synopsis">
<title role="synopsis.title">概要</title>

<synopsis>                    <link linkend="MilterReplyEncoder">MilterReplyEncoder</link>;
<link linkend="MilterEncoder"><returnvalue>MilterEncoder</returnvalue></link> *     <link linkend="milter-reply-encoder-new">milter_reply_encoder_new</link>            (void);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-reply-encoder-encode-negotiate">milter_reply_encoder_encode_negotiate</link>
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size,
                                                         <link linkend="MilterOption"><returnvalue>MilterOption</returnvalue></link> *option,
                                                         <link linkend="MilterMacrosRequests"><returnvalue>MilterMacrosRequests</returnvalue></link> *macros_requests);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-reply-encoder-encode-continue">milter_reply_encoder_encode_continue</link>
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-reply-encoder-encode-reply-code">milter_reply_encoder_encode_reply_code</link>
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *code);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-reply-encoder-encode-temporary-failure">milter_reply_encoder_encode_temporary_failure</link>
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-reply-encoder-encode-reject">milter_reply_encoder_encode_reject</link>  (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-reply-encoder-encode-accept">milter_reply_encoder_encode_accept</link>  (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-reply-encoder-encode-discard">milter_reply_encoder_encode_discard</link> (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-reply-encoder-encode-add-header">milter_reply_encoder_encode_add_header</link>
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *value);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-reply-encoder-encode-insert-header">milter_reply_encoder_encode_insert_header</link>
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size,
                                                         <link linkend="guint32"><returnvalue>guint32</returnvalue></link> index,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *value);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-reply-encoder-encode-change-header">milter_reply_encoder_encode_change_header</link>
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name,
                                                         <link linkend="guint32"><returnvalue>guint32</returnvalue></link> index,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *value);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-reply-encoder-encode-delete-header">milter_reply_encoder_encode_delete_header</link>
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name,
                                                         <link linkend="guint32"><returnvalue>guint32</returnvalue></link> index);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-reply-encoder-encode-change-from">milter_reply_encoder_encode_change_from</link>
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *from,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *parameters);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-reply-encoder-encode-add-recipient">milter_reply_encoder_encode_add_recipient</link>
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *recipient,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *parameters);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-reply-encoder-encode-delete-recipient">milter_reply_encoder_encode_delete_recipient</link>
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *recipient);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-reply-encoder-encode-replace-body">milter_reply_encoder_encode_replace_body</link>
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *body,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> body_size,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packed_size);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-reply-encoder-encode-progress">milter_reply_encoder_encode_progress</link>
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-reply-encoder-encode-quarantine">milter_reply_encoder_encode_quarantine</link>
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *reason);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-reply-encoder-encode-connection-failure">milter_reply_encoder_encode_connection_failure</link>
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-reply-encoder-encode-shutdown">milter_reply_encoder_encode_shutdown</link>
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-reply-encoder-encode-skip">milter_reply_encoder_encode_skip</link>    (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size);
</synopsis>
</refsynopsisdiv>

<refsect1 id="milter-manager-MilterReplyEncoder.description" role="desc">
<title role="desc.title">説明</title>
<para>
</para>
</refsect1>
<refsect1 id="milter-manager-MilterReplyEncoder.details" role="details">
<title role="details.title">詳細</title>
<refsect2 id="MilterReplyEncoder" role="struct">
<title>MilterReplyEncoder</title>
<indexterm zone="MilterReplyEncoder"><primary>MilterReplyEncoder</primary></indexterm>
<programlisting>typedef struct {
    MilterEncoder object;
} MilterReplyEncoder;
</programlisting>
<para>
</para></refsect2>
<refsect2 id="milter-reply-encoder-new" role="function">
<title>milter_reply_encoder_new ()</title>
<indexterm zone="milter-reply-encoder-new"><primary>milter_reply_encoder_new</primary></indexterm>
<programlisting><link linkend="MilterEncoder"><returnvalue>MilterEncoder</returnvalue></link> *     milter_reply_encoder_new            (void);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-reply-encoder-encode-negotiate" role="function">
<title>milter_reply_encoder_encode_negotiate ()</title>
<indexterm zone="milter-reply-encoder-encode-negotiate"><primary>milter_reply_encoder_encode_negotiate</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_reply_encoder_encode_negotiate
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size,
                                                         <link linkend="MilterOption"><returnvalue>MilterOption</returnvalue></link> *option,
                                                         <link linkend="MilterMacrosRequests"><returnvalue>MilterMacrosRequests</returnvalue></link> *macros_requests);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>encoder</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet_size</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>option</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>macros_requests</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-reply-encoder-encode-continue" role="function">
<title>milter_reply_encoder_encode_continue ()</title>
<indexterm zone="milter-reply-encoder-encode-continue"><primary>milter_reply_encoder_encode_continue</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_reply_encoder_encode_continue
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>encoder</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet_size</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-reply-encoder-encode-reply-code" role="function">
<title>milter_reply_encoder_encode_reply_code ()</title>
<indexterm zone="milter-reply-encoder-encode-reply-code"><primary>milter_reply_encoder_encode_reply_code</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_reply_encoder_encode_reply_code
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *code);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>encoder</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet_size</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>code</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-reply-encoder-encode-temporary-failure" role="function">
<title>milter_reply_encoder_encode_temporary_failure ()</title>
<indexterm zone="milter-reply-encoder-encode-temporary-failure"><primary>milter_reply_encoder_encode_temporary_failure</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_reply_encoder_encode_temporary_failure
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>encoder</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet_size</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-reply-encoder-encode-reject" role="function">
<title>milter_reply_encoder_encode_reject ()</title>
<indexterm zone="milter-reply-encoder-encode-reject"><primary>milter_reply_encoder_encode_reject</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_reply_encoder_encode_reject  (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>encoder</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet_size</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-reply-encoder-encode-accept" role="function">
<title>milter_reply_encoder_encode_accept ()</title>
<indexterm zone="milter-reply-encoder-encode-accept"><primary>milter_reply_encoder_encode_accept</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_reply_encoder_encode_accept  (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>encoder</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet_size</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-reply-encoder-encode-discard" role="function">
<title>milter_reply_encoder_encode_discard ()</title>
<indexterm zone="milter-reply-encoder-encode-discard"><primary>milter_reply_encoder_encode_discard</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_reply_encoder_encode_discard (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>encoder</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet_size</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-reply-encoder-encode-add-header" role="function">
<title>milter_reply_encoder_encode_add_header ()</title>
<indexterm zone="milter-reply-encoder-encode-add-header"><primary>milter_reply_encoder_encode_add_header</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_reply_encoder_encode_add_header
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *value);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>encoder</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet_size</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>name</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>value</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-reply-encoder-encode-insert-header" role="function">
<title>milter_reply_encoder_encode_insert_header ()</title>
<indexterm zone="milter-reply-encoder-encode-insert-header"><primary>milter_reply_encoder_encode_insert_header</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_reply_encoder_encode_insert_header
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size,
                                                         <link linkend="guint32"><returnvalue>guint32</returnvalue></link> index,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *value);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>encoder</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet_size</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>index</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>name</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>value</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-reply-encoder-encode-change-header" role="function">
<title>milter_reply_encoder_encode_change_header ()</title>
<indexterm zone="milter-reply-encoder-encode-change-header"><primary>milter_reply_encoder_encode_change_header</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_reply_encoder_encode_change_header
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name,
                                                         <link linkend="guint32"><returnvalue>guint32</returnvalue></link> index,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *value);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>encoder</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet_size</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>name</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>index</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>value</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-reply-encoder-encode-delete-header" role="function">
<title>milter_reply_encoder_encode_delete_header ()</title>
<indexterm zone="milter-reply-encoder-encode-delete-header"><primary>milter_reply_encoder_encode_delete_header</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_reply_encoder_encode_delete_header
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name,
                                                         <link linkend="guint32"><returnvalue>guint32</returnvalue></link> index);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>encoder</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet_size</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>name</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>index</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-reply-encoder-encode-change-from" role="function">
<title>milter_reply_encoder_encode_change_from ()</title>
<indexterm zone="milter-reply-encoder-encode-change-from"><primary>milter_reply_encoder_encode_change_from</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_reply_encoder_encode_change_from
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *from,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *parameters);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>encoder</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet_size</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>from</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>parameters</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-reply-encoder-encode-add-recipient" role="function">
<title>milter_reply_encoder_encode_add_recipient ()</title>
<indexterm zone="milter-reply-encoder-encode-add-recipient"><primary>milter_reply_encoder_encode_add_recipient</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_reply_encoder_encode_add_recipient
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *recipient,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *parameters);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>encoder</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet_size</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>recipient</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>parameters</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-reply-encoder-encode-delete-recipient" role="function">
<title>milter_reply_encoder_encode_delete_recipient ()</title>
<indexterm zone="milter-reply-encoder-encode-delete-recipient"><primary>milter_reply_encoder_encode_delete_recipient</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_reply_encoder_encode_delete_recipient
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *recipient);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>encoder</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet_size</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>recipient</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-reply-encoder-encode-replace-body" role="function">
<title>milter_reply_encoder_encode_replace_body ()</title>
<indexterm zone="milter-reply-encoder-encode-replace-body"><primary>milter_reply_encoder_encode_replace_body</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_reply_encoder_encode_replace_body
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *body,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> body_size,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packed_size);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>encoder</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet_size</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>body</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>body_size</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packed_size</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-reply-encoder-encode-progress" role="function">
<title>milter_reply_encoder_encode_progress ()</title>
<indexterm zone="milter-reply-encoder-encode-progress"><primary>milter_reply_encoder_encode_progress</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_reply_encoder_encode_progress
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>encoder</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet_size</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-reply-encoder-encode-quarantine" role="function">
<title>milter_reply_encoder_encode_quarantine ()</title>
<indexterm zone="milter-reply-encoder-encode-quarantine"><primary>milter_reply_encoder_encode_quarantine</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_reply_encoder_encode_quarantine
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *reason);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>encoder</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet_size</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>reason</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-reply-encoder-encode-connection-failure" role="function">
<title>milter_reply_encoder_encode_connection_failure ()</title>
<indexterm zone="milter-reply-encoder-encode-connection-failure"><primary>milter_reply_encoder_encode_connection_failure</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_reply_encoder_encode_connection_failure
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>encoder</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet_size</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-reply-encoder-encode-shutdown" role="function">
<title>milter_reply_encoder_encode_shutdown ()</title>
<indexterm zone="milter-reply-encoder-encode-shutdown"><primary>milter_reply_encoder_encode_shutdown</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_reply_encoder_encode_shutdown
                                                        (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>encoder</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet_size</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-reply-encoder-encode-skip" role="function">
<title>milter_reply_encoder_encode_skip ()</title>
<indexterm zone="milter-reply-encoder-encode-skip"><primary>milter_reply_encoder_encode_skip</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_reply_encoder_encode_skip    (<link linkend="MilterReplyEncoder"><returnvalue>MilterReplyEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>encoder</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet_size</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>

</refsect1>

</refentry>
